Skip to main content
POST
/
creators
/
{creatorUserUuid}
/
vault
/
folders
/
{folderName}
/
media
Add media to creator vault folder
curl --request POST \
  --url https://api.fanvue.com/creators/{creatorUserUuid}/vault/folders/{folderName}/media \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
  --data '
{
  "mediaUuids": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}
'
{
  "addedCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Path Parameters

creatorUserUuid
string<uuid>
required
folderName
string
required

Folder name (URL-encoded in path)

Required string length: 1 - 255

Body

application/json
mediaUuids
string<uuid>[]
required

UUIDs of media items to attach to the folder

Required array length: 1 - 100 elements

Response

Media added to folder

addedCount
number
required

Number of media items successfully added